// Colors

$color-primary-light: #f8f9fa;
$color-primary-dark: #434e5e;
$color-accent: #b5c3c6;

$text-color-primary-dark: darken($color-primary-dark, 10%);
$text-color-primary-light: lighten($color-primary-light, 10%);
$text-color-accent: darken($color-accent, 10%);

$text-color-secondary: lighten($text-color-primary-dark, 20%);
$text-color-lighten: lighten($text-color-primary-dark, 35%);

body {
    font-family: 'Open Sans', sans-serif;
    background: #e5e5e5;
    color: $text-color-primary-dark;
}

body {
    padding: 30px 0px;
}

@media (max-width: 992px) {
    body {
        padding: 0 !important;
    }
}

main {
    max-width: 1130px;
}

header {
    background: $color-primary-dark;
    color: $text-color-primary-light;
    font-size: 0.9rem;

    h1 {
        font-size: 2.25rem;
        letter-spacing: 0.175rem;
        font-weight: 900;
        text-transform: uppercase;
    }

    h2 {
        font-size: 1.5rem;
    }

   a, a:hover, a:active, a:link, a:visited {
      color: $text-color-primary-light;
   }

   .fa-container {
      font-size: 1.5rem;
      color: $text-color-primary-light;
   }
}

footer {
   font-size: 0.8rem;
   color: $text-color-secondary;
}

aside {
    background: $color-accent;
}

a, a:hover, a:active, a:link, a:visited {
    color: $text-color-primary-dark;
    text-decoration: none !important;
}

ul {
    page-break-inside: avoid;
}

.progress-bar {
    background-color: $color-primary-dark !important;
}

.badge-primary {
    background-color: $color-primary-dark !important;
}

.badge-light {
    background-color: $color-primary-light !important;
}

.fa-container {
    display: inline-block;
    width: 24px;
    height: 24px;
}

#information-section {
    font-size: 0.9rem;

   .fa-container {
      font-size: 1rem;
      color: $color-primary-dark;
   }
}

section {
    h2, h3 {
        text-transform: uppercase;
        font-weight: 700;
        position: relative;
        color: $color-primary-dark;

        &:after {
            content: "";
            position: absolute;
            left: 0;
            bottom: 0;
            width: 100%;
            height: 1.5px;
            background: lighten($text-color-primary-dark, 30%);
        }
    }

    h2 {
        font-size: 1.25rem;
    }

    h3 {
        font-size: 1.1rem;
    }

    .content {
        color: $text-color-secondary;
    }

    .item {
        page-break-inside: avoid;
    }
}

.timeline {
    padding-left: 30px;

    // Vertical line
    &:before {
        content: "";
        display: inline-block;
        width: 1.5px;
        height: 100%;
        background: lighten($text-color-primary-dark, 10%);
        left: 6px;
        top: 5px;
        position: absolute;
    }
}

.timeline .item {

    // Bullet
    &:before {
        content: "";
        display: inline-block;
        position: absolute;
        left: -30.5px;
        top: 4px;
        width: 15px;
        height: 15px;
        border: 1.5px solid lighten($text-color-primary-dark, 10%);
        background: lighten($color-primary-dark, 20%);
        border-radius: 50%;
    }

    .title {
        color: $text-color-primary-dark;
        font-size: 1.15rem;
        font-weight: 700;
    }

    .date {
        color: $text-color-lighten;
        font-size: 0.9rem;
        font-weight: 600;
    }


    .at {
        color: $text-color-secondary;
        font-size: 1rem;
        font-weight: 700;
    }

    .location {
        color: $text-color-secondary;
        font-size: 1rem;
        font-weight: 600;
    }
}

#skills-section {
    .title {
        font-size: 0.8rem;
        color: $text-color-primary-dark;
    }

    .progress {
        border-radius: 2px;
        height: 0.6rem;
    }
}

#education-section {
    .title {
        color: $text-color-primary-dark;
        font-weight: 700;
    }

    .at {
        font-size: 0.9rem;
    }

    .date {
        color: $text-color-lighten;
        font-size: 0.9rem;
    }
}

#language-section .title {
    color: $text-color-primary-dark;
    font-weight: 700;
}

@media print {
    html, body, main {
        margin: 0 !important;
        padding: 0 !important;
        background: #FFFFFF !important;
        max-width: none;

        // Force background
        -webkit-print-color-adjust: exact !important;
        // color-adjust: exact !important;
    }

    .shadow-lg {
        box-shadow: 0 0 !important;
    }

    .print-hidden {
        display: none;
    }

    aside {
        height: 1399px;
    }

    @page {
        margin: 2cm 0;
    }

    @page :first {
        margin: 0;
    }
}
